@import url('https://fonts.googleapis.com/css2?family=Montserrat:wght@300;400;500&display=swap');

* {
    margin: 0;
    padding: 0;
}

body {
    font-family: 'Montserrat', sans-serif;
    font-weight: 500;
    margin: 0;
    padding: 0;
    display: flex;
    flex-direction: column;
    min-height: 100vh;
}

.gallery {
    display: grid;
    grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
    gap: 10px;
    padding: 20px;
    margin-top: 10vh;
}

.gallery img {
    width: 100%;
    height: auto;
    display: block;
    border-radius: 5px;
    box-shadow: 0 2px 5px rgba(0, 0, 0, 0.1);
    transition: transform 0.3s ease-in-out;
    cursor: pointer;
}

.gallery img:hover {
    transform: scale(1.05);
}

/* Style lightboxa */
.lightbox {
    display: none;
    position: fixed;
    z-index: 1000;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background-color: rgba(0, 0, 0, 0.8);
    justify-content: center;
    align-items: center;
}

#lightbox-image {
    display: block;
    max-width: 90%;
    max-height: 90%;
    object-fit: contain;
}

.close-lightbox {
    position: absolute;
    top: 20px;
    right: 30px;
    color: #f1f1f1;
    font-size: 30px;
    font-weight: bold;
    cursor: pointer;
    transition: color 0.3s ease;
}

.close-lightbox:hover,
.close-lightbox:focus {
    color: #bbb;
    text-decoration: none;
}

.prev-lightbox,
.next-lightbox {
    background: none;
    border: none;
    color: #f1f1f1;
    font-size: 2em;
    cursor: pointer;
    outline: none;
    transition: color 0.3s ease;
    padding: 10px;
}

.prev-lightbox:hover,
.next-lightbox:hover {
    color: #bbb;
}

.prev-lightbox {
    position: absolute;
    left: 20px;
    top: 50%;
    transform: translateY(-50%);
}


.next-lightbox {
    position: absolute;
    right: 40px;
    top: 50%;
    transform: translateY(-50%);
}

@media (max-width: 768px) {
    .lightbox {
        position: fixed;
        z-index: 1000;
        top: 0;
        left: 0;
        width: 100%;
        height: 100%;
        background-color: rgba(0, 0, 0, 0.8);
        justify-content: center;
        align-items: center;
    }

    #lightbox-image {
        max-width: 95%;
        max-height: 85%;
    }

    .close-lightbox {
        top: 10px;
        right: 20px;
        font-size: 24px;
    }

    .prev-lightbox,
    .next-lightbox {
        font-size: 1.5em;
        padding: 5px;
    }

    .prev-lightbox {
        left: 10px;
    }

    .next-lightbox {
        right: 10px;
    }
}


header {
  display: flex;
  justify-content: center;
  align-items: center;
  position: fixed; /* Zmieniamy na fixed, aby było przyklejone */
  top: 0;
  left: 0;
  width: 100%;
  height: 10vh;
  background-color: rgba(0, 0, 0, 0.5);
  color: white;
  z-index: 90;
}

.menu {
  display: flex;
  justify-content: space-between;
  align-items: center;
  max-width: 1200px;
  margin: 0 auto;
}

.logo {
  font-size: 1.5rem;
  font-weight: bold;
}

.nav-links {
  list-style: none;
  display: flex;
  margin: 0;
  padding: 0;
}

.nav-links li {
  margin-left: 20px;
}

.nav-links li a {
  color: white;
  text-decoration: none;
  padding: 8px 12px;
  transition: color 0.3s ease;
}

.nav-links li a:hover {
  color: #007bff;
}

.hamburger {
  display: none;
  flex-direction: column;
  cursor: pointer;
  border: 0;
  background: transparent;
  padding: 10px;
}

.bar {
  width: 25px;
  height: 3px;
  background-color: white;
  margin: 3px 0;
  transition: transform 0.3s ease-in-out;
}

.hamburger.active .bar:nth-child(1) {
  transform: rotate(-45deg) translate(-5px, 6px);
}

.hamburger.active .bar:nth-child(2) {
  opacity: 0;
}

.hamburger.active .bar:nth-child(3) {
  transform: rotate(45deg) translate(-5px, -6px);
}


/* Style dla mniejszych ekranów */
@media (max-width: 768px) {
  .nav-links {
      display: none;
      position: absolute;
      top: 60px; /* Wysokość nagłówka */
      left: 0;
      background-color: rgba(0, 0, 0, 0.9);
      width: 100%;
      flex-direction: column;
      align-items: center;
      padding: 20px 0;
      text-align: center;
  }

  .nav-links.active {
      display: flex;
  }

  .nav-links li {
      margin: 15px 0;
  }

  .hamburger {
      display: flex;
  }
}

footer {
    background-color: #f8f9fa;
    padding: 20px;
    margin-top: auto;
    border-top: 1px solid #ddd;

}
